QGIS Plugin Site - Bug report #4872
plugin zip file limited to ~1Mo - Error 500
2012-01-24 02:17 PM - Vincent Picavet

Status: Closed
Priority: Normal
Assignee:

Category:

Pull Request or Patch supplied:
Description

When submitting a plugin zip file of about 1.5Mo, | get a server error 500.
With the same plugin, gone down to ~700Ko, upload is OK.
Tested with atlas plugin.

History

#1 - 2012-01-25 12:40 AM - Alessandro Pasotti

- Status changed from Open to Resolved

Now you should see an error message instead of a 500 (please test and re-open this ticket if still fails).

The message is from:
ValidationError( _("File is too big. Max size is %s Bytes") % PLUGIN_MAX_UPLOAD_SIZE )

PLUGIN_MAX_UPLOAD_SIZE is currently set to 1048576

If you think that this size is too small, please open a thread on the mailing list, this size was not my choice.

#2 - 2012-05-10 08:35 AM - Paolo Cavallini
- Status changed from Resolved to Closed
